## docker-searx

#### What is searx?
Searx is a metasearch engine, inspired by the seeks project.
It provides basic privacy by mixing your queries with searches on other platforms without storing search data. Queries are made using a POST request on every browser (except chrom[e|ium]). Therefore they show up in neither our logs, nor your url history. In case of Chrom[e|ium] users there is an exception, Searx uses the search bar to perform GET requests. Searx can be added to your browser's search bar; moreover, it can be set as the default search engine. 

#### Features
- Based on Alpine Linux.
- Latest code from [asciimoo/searx](https://github.com/asciimoo/searx)
- A unique secret key is generated when booting the first time.

### Credits
First of all, thanks to [wonderfall](https://github.com/Wonderfall) for his Dockerfile collection. A lot of this image is based on his image, and was only created because wonderfall discontinued maintainership of all his images.

### Get the image
You can either build the docker image yourself:
```bash
docker build -t docker.jcg.re/searx https://git.jcg.re/jcgruenhage/docker-searx.git
```

or pull a prebuilt image from my docker registry:

```bash
docker pull docker.jcg.re/searx
```
### Run the container
Insecure local instance:

```bash
docker run \
	--rm \
	--publish 80:8888 \
	--env BASE_URL=http://localhost \
	docker.jcg.re/searx
```

#### Build-time variables
- **VERSION** : Searx version

#### Environment variables
- **IMAGE_PROXY** : enables images proxying *(default : False)*
- **BASE_URL** : http://domain.tld *(default : False)*

#### Ports
- **8888** (non-tls, so use a reverse proxy)
